Description

History

#1 - 08/09/2012 12:43 AM - Eric Faulhaber

Currently, we have good coverage of the purpose and layout of the DMO index in the Conversion Reference.  This covers how the file is created,

what its content means, and where that information originates in the pre-conversion application/schema.  That chapter is largely complete, with the

exception of a TODO I left behind regarding how to deal with this file post-conversion.  This TODO needs to be addressed and removed from the

chapter.

There is a discussion of the dmo_index_merge.xml file in the Developer Guide;  however, it seems to be in the wrong chapter (currently, it is in 

Developing 4GL Code During and After Conversion).  I think this discussion belongs in the Integrating Hand-Written Java chapter instead, since this

mechanism has nothing to do with 4GL code.  Likewise, the discussion about modifying the dmo_index.xml file directly (in the case where no further

conversions will take place) belongs in Integrating Hand-Written Java.

The section in Developing 4GL Code During and After Conversion which describes how to modify DMOs needs to be more clear;  specifically, it is a

bit hard to understand when to use which approach.  The discussion about using the approach of modifying the .df file and reconverting belongs in

this chapter.  It should note that there is a different approach when integrating DMO changes which are only used by hand-written Java, referring to

the Integrating Hand-Written Java chapter in this case.

Finally, in Conversion Handbook -> Building Converted Code -> Prepare Target, we should add a reference to the DMO Index chapter in the

Conversion Reference, since there is no good explanation of what that file is in the handbook today.

#2 - 08/09/2012 12:44 AM - Eric Faulhaber

- Status changed from New to WIP

#3 - 08/09/2012 06:58 AM - Constantin Asofiei

Following files were modified:

Conversion Reference

dmo_index.odt

Developer Guide:
external_applications.odt

hand_written_java.odt

managing_change.odt

All dmo_index_merge.xml info (and how to edit/add DMOs) was added to the Integrating Hand-Written Java chapter.  Other chapters (which

previously contained  info related to this) now reference this chapter.

All changed parts are enclosed in [CA]...[/CA] tags. Let me know when I can remove them.

#4 - 08/09/2012 09:41 AM - Constantin Asofiei

I've updated Conversion Handbook -> Building Converted Code -> Prepare Target too.

#5 - 08/09/2012 09:55 AM - Eric Faulhaber

- Tracker changed from Bug to Feature

#6 - 08/09/2012 10:00 AM - Constantin Asofiei

- Status changed from WIP to Review

#7 - 08/16/2012 11:26 AM - Eric Faulhaber

- Status changed from Review to Closed

- % Done changed from 0 to 100

I have reviewed the modified chapters, removed the [CA]...[/CA] tags, made some other relatively minor edits, and checked all of the changed files

into bazaar.
